Index: trip-planner/src/main/java/finki/diplomska/tripplanner/models/Images.java
===================================================================
--- trip-planner/src/main/java/finki/diplomska/tripplanner/models/Images.java	(revision e29cc2ea91f8c99a4329f6d20188305dfd752279)
+++ trip-planner/src/main/java/finki/diplomska/tripplanner/models/Images.java	(revision e29cc2ea91f8c99a4329f6d20188305dfd752279)
@@ -0,0 +1,33 @@
+package finki.diplomska.tripplanner.models;
+
+import com.fasterxml.jackson.annotation.JsonBackReference;
+import lombok.AllArgsConstructor;
+import lombok.Getter;
+import lombok.NoArgsConstructor;
+import lombok.Setter;
+import net.minidev.json.annotate.JsonIgnore;
+
+import javax.persistence.*;
+
+@Entity
+@Table(name = "images")
+@NoArgsConstructor
+@AllArgsConstructor
+@Getter
+@Setter
+public class Images {
+
+    @Id
+    @GeneratedValue(strategy = GenerationType.IDENTITY)
+    @Column(name = "id_image")
+    private Long id;
+
+    @Lob
+    @JsonIgnore
+    private byte[] content;
+
+    @ManyToOne
+    @JsonBackReference
+    @JoinColumn(name = "id_location", nullable = true)
+    private Location location;
+}
Index: trip-planner/src/main/java/finki/diplomska/tripplanner/models/Location.java
===================================================================
--- trip-planner/src/main/java/finki/diplomska/tripplanner/models/Location.java	(revision ceaed429447854991cde276cd74df8d5dc9a2009)
+++ trip-planner/src/main/java/finki/diplomska/tripplanner/models/Location.java	(revision e29cc2ea91f8c99a4329f6d20188305dfd752279)
@@ -2,4 +2,5 @@
 
 import com.fasterxml.jackson.annotation.JsonBackReference;
+import com.fasterxml.jackson.annotation.JsonManagedReference;
 import lombok.AllArgsConstructor;
 import lombok.Getter;
@@ -72,3 +73,8 @@
 
 
+    @OneToMany(mappedBy = "location", cascade = CascadeType.REMOVE, orphanRemoval = true)
+    @JsonManagedReference
+    private List<Images> imagesList;
+
+
 }
Index: trip-planner/src/main/java/finki/diplomska/tripplanner/repository/jpa/JpaImageRepository.java
===================================================================
--- trip-planner/src/main/java/finki/diplomska/tripplanner/repository/jpa/JpaImageRepository.java	(revision e29cc2ea91f8c99a4329f6d20188305dfd752279)
+++ trip-planner/src/main/java/finki/diplomska/tripplanner/repository/jpa/JpaImageRepository.java	(revision e29cc2ea91f8c99a4329f6d20188305dfd752279)
@@ -0,0 +1,16 @@
+package finki.diplomska.tripplanner.repository.jpa;
+
+import finki.diplomska.tripplanner.models.Images;
+import org.springframework.data.jpa.repository.JpaRepository;
+import org.springframework.data.jpa.repository.Query;
+import org.springframework.data.repository.query.Param;
+import org.springframework.stereotype.Repository;
+
+import java.util.List;
+
+@Repository
+public interface JpaImageRepository extends JpaRepository<Images, Long> {
+
+    @Query(value = "SELECT * FROM images AS i WHERE i.id_location = :locationId", nativeQuery = true)
+    List<Images> getAllImagesForLocation(@Param("locationId") Long locationId);
+}
Index: trip-planner/src/main/java/finki/diplomska/tripplanner/repository/jpa/JpaLocationRepository.java
===================================================================
--- trip-planner/src/main/java/finki/diplomska/tripplanner/repository/jpa/JpaLocationRepository.java	(revision ceaed429447854991cde276cd74df8d5dc9a2009)
+++ trip-planner/src/main/java/finki/diplomska/tripplanner/repository/jpa/JpaLocationRepository.java	(revision e29cc2ea91f8c99a4329f6d20188305dfd752279)
@@ -83,3 +83,21 @@
             "(SELECT pl.id_location FROM planners_contain AS pl WHERE pl.id_planner = :plannerId)", nativeQuery = true)
     List<Location> getAllLocationsForPlanner(@Param("plannerId") Long plannerId);
+
+    @Query(value = "SELECT *, if(l.id_city is NOT NULL, c.city_name, l.location_name) as result " +
+            "FROM locations AS l " +
+            "LEFT JOIN cities AS c " +
+            "ON l.id_city = c.id_city " +
+            "LEFT JOIN locations_belong AS lb " +
+            "ON l.id_location = lb.id_location " +
+            "WHERE lb.id_category=20", nativeQuery = true)
+    List<Location> getWeekendGetaways();
+
+    @Query(value = "SELECT *, if(l.id_city is NOT NULL, c.city_name, l.location_name) as result " +
+            "FROM locations AS l " +
+            "LEFT JOIN cities AS c " +
+            "ON l.id_city = c.id_city " +
+            "LEFT JOIN locations_belong AS lb " +
+            "ON l.id_location = lb.id_location " +
+            "WHERE lb.id_category=4", nativeQuery = true)
+    List<Location> getVillages();
 }
Index: trip-planner/src/main/java/finki/diplomska/tripplanner/service/ImagesService.java
===================================================================
--- trip-planner/src/main/java/finki/diplomska/tripplanner/service/ImagesService.java	(revision e29cc2ea91f8c99a4329f6d20188305dfd752279)
+++ trip-planner/src/main/java/finki/diplomska/tripplanner/service/ImagesService.java	(revision e29cc2ea91f8c99a4329f6d20188305dfd752279)
@@ -0,0 +1,9 @@
+package finki.diplomska.tripplanner.service;
+
+import finki.diplomska.tripplanner.models.Images;
+
+import java.util.List;
+
+public interface ImagesService {
+    List<Images> getAllImagesForLocation(Long locationId);
+}
Index: trip-planner/src/main/java/finki/diplomska/tripplanner/service/LocationService.java
===================================================================
--- trip-planner/src/main/java/finki/diplomska/tripplanner/service/LocationService.java	(revision ceaed429447854991cde276cd74df8d5dc9a2009)
+++ trip-planner/src/main/java/finki/diplomska/tripplanner/service/LocationService.java	(revision e29cc2ea91f8c99a4329f6d20188305dfd752279)
@@ -21,4 +21,5 @@
     Location addLocationToPlanner(PlannerLocationDto plannerLocationDto);
     List<Location> getAllLocationsForPlanner(Long plannerId);
-
+    List<Location> getWeekendGetaways();
+    List<Location> getVillages();
 }
Index: trip-planner/src/main/java/finki/diplomska/tripplanner/service/impl/ImagesServiceImpl.java
===================================================================
--- trip-planner/src/main/java/finki/diplomska/tripplanner/service/impl/ImagesServiceImpl.java	(revision e29cc2ea91f8c99a4329f6d20188305dfd752279)
+++ trip-planner/src/main/java/finki/diplomska/tripplanner/service/impl/ImagesServiceImpl.java	(revision e29cc2ea91f8c99a4329f6d20188305dfd752279)
@@ -0,0 +1,23 @@
+package finki.diplomska.tripplanner.service.impl;
+
+import finki.diplomska.tripplanner.models.Images;
+import finki.diplomska.tripplanner.repository.jpa.JpaImageRepository;
+import finki.diplomska.tripplanner.service.ImagesService;
+import org.springframework.stereotype.Service;
+
+import java.util.List;
+
+@Service
+public class ImagesServiceImpl implements ImagesService {
+
+    private final JpaImageRepository jpaImageRepository;
+
+    public ImagesServiceImpl(JpaImageRepository jpaImageRepository) {
+        this.jpaImageRepository = jpaImageRepository;
+    }
+
+    @Override
+    public List<Images> getAllImagesForLocation(Long locationId) {
+        return this.jpaImageRepository.getAllImagesForLocation(locationId);
+    }
+}
Index: trip-planner/src/main/java/finki/diplomska/tripplanner/service/impl/LocationServiceImpl.java
===================================================================
--- trip-planner/src/main/java/finki/diplomska/tripplanner/service/impl/LocationServiceImpl.java	(revision ceaed429447854991cde276cd74df8d5dc9a2009)
+++ trip-planner/src/main/java/finki/diplomska/tripplanner/service/impl/LocationServiceImpl.java	(revision e29cc2ea91f8c99a4329f6d20188305dfd752279)
@@ -169,4 +169,14 @@
     }
 
+    @Override
+    public List<Location> getWeekendGetaways() {
+        return this.locationRepository.getWeekendGetaways();
+    }
+
+    @Override
+    public List<Location> getVillages() {
+        return this.locationRepository.getVillages();
+    }
+
 
 }
Index: trip-planner/src/main/java/finki/diplomska/tripplanner/web/rest/ImagesRestController.java
===================================================================
--- trip-planner/src/main/java/finki/diplomska/tripplanner/web/rest/ImagesRestController.java	(revision e29cc2ea91f8c99a4329f6d20188305dfd752279)
+++ trip-planner/src/main/java/finki/diplomska/tripplanner/web/rest/ImagesRestController.java	(revision e29cc2ea91f8c99a4329f6d20188305dfd752279)
@@ -0,0 +1,23 @@
+package finki.diplomska.tripplanner.web.rest;
+
+import finki.diplomska.tripplanner.models.Images;
+import finki.diplomska.tripplanner.service.ImagesService;
+import org.springframework.web.bind.annotation.*;
+
+import java.util.List;
+
+@RestController
+@CrossOrigin(origins = "http://localhost:4200")
+@RequestMapping(value = "/api")
+public class ImagesRestController {
+    private final ImagesService imagesService;
+
+    public ImagesRestController(ImagesService imagesService) {
+        this.imagesService = imagesService;
+    }
+
+    @GetMapping(value = "/images")
+    public List<Images> getAllImagesForLocation(@RequestParam Long locationId){
+        return this.imagesService.getAllImagesForLocation(locationId);
+    }
+}
Index: trip-planner/src/main/java/finki/diplomska/tripplanner/web/rest/LocationRestController.java
===================================================================
--- trip-planner/src/main/java/finki/diplomska/tripplanner/web/rest/LocationRestController.java	(revision ceaed429447854991cde276cd74df8d5dc9a2009)
+++ trip-planner/src/main/java/finki/diplomska/tripplanner/web/rest/LocationRestController.java	(revision e29cc2ea91f8c99a4329f6d20188305dfd752279)
@@ -61,3 +61,13 @@
         return this.locationService.getAllLocationsForPlanner(plannerId);
     }
+
+    @GetMapping(value = "weekend")
+    public List<Location> getWeekendGetaways(){
+        return this.locationService.getWeekendGetaways();
+    }
+
+    @GetMapping(value = "villages")
+    public List<Location> getVillages(){
+        return this.locationService.getVillages();
+    }
 }
Index: trip-planner/src/main/resources/templates/trip-locations-country.html
===================================================================
--- trip-planner/src/main/resources/templates/trip-locations-country.html	(revision ceaed429447854991cde276cd74df8d5dc9a2009)
+++ trip-planner/src/main/resources/templates/trip-locations-country.html	(revision e29cc2ea91f8c99a4329f6d20188305dfd752279)
@@ -27,5 +27,5 @@
               <span th:text="${loc.getCity().getName()}"/>
             </td>
-            <!--  <td><img th:src="*{'data:image/jpeg;base64,'+ imgUtil.getImgData(loc.getPhoto())}" alt="" /></td> -->
+             <td><img th:src="*{'data:image/jpeg;base64,'+ imgUtil.getImgData(loc.getPhoto())}" alt="" /></td>
 
             <td>
Index: trip-planner/src/main/resources/templates/trip-locations.html
===================================================================
--- trip-planner/src/main/resources/templates/trip-locations.html	(revision ceaed429447854991cde276cd74df8d5dc9a2009)
+++ trip-planner/src/main/resources/templates/trip-locations.html	(revision e29cc2ea91f8c99a4329f6d20188305dfd752279)
@@ -58,5 +58,5 @@
             <td th:text="${loc.getName()}" ></td>
             <td th:text="${loc.getId()}"  ></td>
-        <!--    <td><img th:src="*{'data:image/jpeg;base64,'+ imgUtil.getImgData(loc.getPhoto())}" alt="" /></td> -->
+        <td><img th:src="*{'data:image/jpeg;base64,'+ imgUtil.getImgData(loc.getPhoto())}" alt="" /></td>
             <td class="selectedLocation">
               <a th:href="@{'/create/trip/locations/{id}' (id=${loc.getId()})}" class="btn btn-primary " >Add to planner</a>
Index: trip-planner/src/test/api.http
===================================================================
--- trip-planner/src/test/api.http	(revision ceaed429447854991cde276cd74df8d5dc9a2009)
+++ trip-planner/src/test/api.http	(revision e29cc2ea91f8c99a4329f6d20188305dfd752279)
@@ -60,2 +60,13 @@
 Content-Type: application/x-www-form-urlencoded
 
+###
+GET http://localhost:8080/api/weekend
+Content-Type: application/x-www-form-urlencoded
+
+###
+GET http://localhost:8080/api/villages
+Content-Type: application/x-www-form-urlencoded
+
+###
+GET http://localhost:8080/api/images?locationId=1
+Content-Type: application/x-www-form-urlencoded
